geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Forrest Xia (JIRA)" <j...@apache.org>
Subject [jira] Created: (GERONIMO-4481) GShell command jaxws/java2ws error: Syntax error, annotations are only available if source level is 5.0
Date Tue, 23 Dec 2008 09:18:46 GMT
GShell command jaxws/java2ws error: Syntax error, annotations are only available if source
level is 5.0
-------------------------------------------------------------------------------------------------------

                 Key: GERONIMO-4481
                 URL: https://issues.apache.org/jira/browse/GERONIMO-4481
             Project: Geronimo
          Issue Type: Bug
      Security Level: public (Regular issues)
          Components: webservices
    Affects Versions: 2.2
         Environment: java version "1.6.0_10"
Java(TM) SE Runtime Environment (build 1.6.0_10-b33)
Java HotSpot(TM) Client VM (build 11.0-b15, mixed mode, sharing)
ubuntu 8.04.1 LTS
            Reporter: Forrest Xia
            Priority: Minor


Steps to recurring:
1. start 2.2 snapshot server
2. enter gshell prompt
3. execute command like this:
<code>
jaxws/java2ws -wsdl -client -server -wrapperbean -ant -o test.wsdl -s /home/forrestxm/temp/gshell015
-d /home/forrestxm/temp/gshell015 -classdir /home/forrestxm/temp/gshell015 -cp /home/forrestxm/temp/gshell015/G3665FeatureValidation.jar
org.apache.geronimo.test.fixver.g3665.SayHelloWebService
</code>

then the errors say "Syntax error, annotations are only available if source level is 5.0".
Checked cxf 2.1.3 release, there are similar problems when executing a similar command.

However, use the generated ant project to compile those generated source code, it's fine.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message